.base {
    font-family: Arial, Helvetica, sans-serif; 
    border: 1px solid lightgray;
    margin: 0;
}
/*<--- TOP-BAR --->*/
.top-bar {
    display: grid;
    grid-template-columns: 2fr 2fr;
    background-color: #d6d3d3;
    padding: 5px;
    align-items: center;
}
.top-left {
    justify-self: flex-start;
    display: grid;
    grid-template-columns: repeat(2, auto);
}
.whatsapp {
    color: green;
    font-size: 1.2em;
    padding-left: 15px;
    padding-top: 5px;
    padding-bottom: 5px;
}
.title {
    font-weight: bold;
    padding-left: 8px;
    padding-top: 5px;
    padding-bottom: 5px;
}
.top-right {
    justify-self: flex-end;
    display: grid;
    grid-template-columns: repeat(3, auto);
    grid-gap: 15px;
}
.top-right-item {
    padding: 5px 10px;
}
/*<--- MIDDLE-BAR --->*/
.middle-bar {
    display: grid;
    grid-auto-columns: 1fr 2fr;
    grid-auto-flow: column;
    padding-top: 3px;
    background-color: #EAEAEA;
    border-bottom: solid 1px lightgray;
}
.profile-bar {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding-left: 15px;
    padding-right: 15px;
    align-items: center;
    border-right: 1px solid lightgray;
}
.current-chat-bar {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding-left: 15px;
    padding-right: 15px;
    align-items: center;
}
.middle-photo {
    border-radius: 50%;
}
.current-chat-info {
    padding-top: 8px;
}
.middle-left {
    justify-self: flex-start;
}
.mini-middle-column {
    display: grid;
    grid-template-columns: repeat(2, auto);
    grid-auto-columns: max-content;
    grid-gap: 15px;
}
.middle-right {
    justify-self: flex-end;
    display: grid;
    grid-template-columns: repeat(2, auto);
    grid-gap: 45px;
}
/*<--- CHAT-BOARD --->*/
.chat-board {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-auto-flow: column;
    background-color: blue;
}
.photo {
    border-radius: 50%;
    padding-top: 5px;
}
.chat-title {
    font-size: 1.1em;
    font-weight: bold;
}
.chat-name {
    color: gray;
    font-size: small;
}
.chat-text {
    font-size: 0.9em;
    padding-top: 5px;
    padding-bottom: 5px;
    color: gray;
}
.chat-text-2 {
    font-size: 0.9em;
    padding-top: 5px;
    padding-bottom: 5px;
    display: grid;
    grid-template-columns: repeat(2, auto);
    grid-gap: 5px;
    color: gray;
}
.chat-text-emoji {
    font-size: 0.9em;
    padding-top: 5px;
    padding-bottom: 5px;
    display: inline-flex;
}
/*<--- LEFT-SIDE-COLUMN --->*/
.chats {
    display: grid;
    grid-template-rows: max-content auto;
}
.searchbar {
    background-color: rgb(240, 235, 235);
    padding: 20px;
    border-bottom: 1px solid lightgray;
    border-right: solid 1px lightgray;
}
.search {
    background-color: white;
    padding: 10px;
    color: gray;
    display: flex;
    flex-direction: row;
}
.magnify {
    padding-left: 10px;
    padding-right: 10px;
}
.search-text {
    padding-left: 18px;
}
.chat {
    background-color: white;
    padding: 10px;
    display: grid;
    grid-template-columns: repeat(2, auto);
    border-bottom: 1px solid lightgray;
    border-right: solid 1px lightgray;
}
.last-chat {
    background-color: white;
    padding: 10px;
    display: grid;
    grid-template-columns: repeat(2, auto);
    grid-auto-rows: max-content;
    border-right: solid 1px lightgray;
}
.chat-left {
    justify-self: flex-start;
    display: grid;
    grid-template-columns: repeat(2, auto);
    grid-gap: 15px;
}
.mini-chat-column {
    align-self: center;
}
.chat-right {
    justify-self: flex-end;
    color: gray;
    font-size: small;
    padding-top: 5px;
}
/*<--- RIGHT-SIDE-COLUMN --->*/
.current-chat {
    background: url(https://i.pinimg.com/originals/ab/ab/60/abab60f06ab52fa7846593e6ae0c9a0b.png);
    padding: 10px 60px;
    display: grid;
    grid-auto-rows: max-content;
    grid-gap: 10px;
    height: max-content;
}
.response-1 {
    background-color: white;
    display: flex;
    flex-direction: column;
    padding: 10px;
    width: 45%;
    border-radius: 5px;
}
.convo-photo {
    border-radius: 5px;
    width: 100%;
}
.current-name-1 {
    color: #20B2AA;
    font-weight: bold;
    padding-bottom: 5px;
}
.current-name-2 {
    color: #FA8072;
    font-weight: bold;
    padding-bottom: 5px;
}
.current-message {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 5px;
}
.mini-current-row {
    display: inline-flex;
}
.current-right {
    justify-self: flex-end;
    text-align: right;
    color: gray;
    font-size: small;
    padding-top: 5px;
}
.response-2 {
    background-color: #98FB98;
    display: flex;
    flex-direction: column;
    padding: 10px;
    justify-self: right;
    width: 45%;
}
.response-3 {
    background-color: white;
    display: flex;
    flex-direction: column;
    padding: 10px;
    width: 45%;
}
.response-4 {
    background-color: white;
    display: flex;
    flex-direction: column;
    padding: 10px;
    width: 45%;
}

/*<--- KEYBOARD --->*/
.type-message {
    background-color: rgb(240, 235, 235);
    padding: 20px;
    display: grid;
    grid-template-columns: 5% 90% 5%;
    align-items: center;
}
.type {
    background-color: white;
    padding: 10px;
    color: gray;
}
.mic {
    color: gray;
    text-align: center;
    padding-left: 10px;
}
.smile {
    color: gray;
    align-items: center;
}
/*<--- COLORED ICONS --->*/
.gray {
    color: gray;
}
.blue {
    color: rgb(11, 112, 228);
}
.orange {
    color: orange;
}
.red {
    color: red;
    padding-left: 5px;
}
.navy {
    color: #000080;
    padding-top: 5px;
}
.violet-red {
    color: #DB7093;
    padding: 5px;
}
.brown {
    color: #A0522D;
    padding-left: 5px;
}
.silver {
    color: #708090;
    padding-left: 5px;
}